Skip to main content
POST
/
cards
/
{cardId}
/
fund
Fund Card
curl --request POST \
  --url https://api.fyatu.com/api/v2/cards/{cardId}/fund \
  --header 'Authorization: Bearer <token>' \
  --header 'Business-ID: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '{
  "amount": 50
}'
{
  "status": "success",
  "statusCode": 200,
  "errors": false,
  "message": "<string>",
  "data": {
    "cardId": "<string>",
    "amount": 123,
    "fees": 123
  }
}

Authorizations

Business-ID
string
header
required

Your unique business identifier. Find this in your Business Settings.

Authorization
string
header
required

Your API key as a Bearer token. Example: Bearer sk_live_xxxxxxxxxxxxx

Path Parameters

cardId
string
required

Body

application/json
amount
number
required

Amount to fund in USD (minimum $5)

Required range: x >= 5

Response

Card funded successfully

status
string
Example:

"success"

statusCode
integer
Example:

200

errors
boolean
Example:

false

message
string
data
object